libftdi1: ftdi_eeprom Struct Reference

libftdi1 1.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
ftdi_eeprom Struct Reference

FTDI eeprom structure. More...

`#include <ftdi_i.h>`

## Public Attributes
int | vendor_id
int | product_id
int | initialized_for_connected_device
int | self_powered
int | remote_wakeup
int | is_not_pnp
int | suspend_dbus7
int | in_is_isochronous
int | out_is_isochronous
int | suspend_pull_downs
int | use_serial
int | usb_version
int | use_usb_version
int | max_power
char * | manufacturer
char * | product
char * | serial
int | channel_a_type
int | channel_b_type
int | channel_a_driver
int | channel_b_driver
int | channel_c_driver
int | channel_d_driver
int | channel_a_rs485enable
int | channel_b_rs485enable
int | channel_c_rs485enable
int | channel_d_rs485enable
int | cbus_function [10]
int | high_current
int | high_current_a
int | high_current_b
int | invert
int | external_oscillator
int | group0_drive
int | group0_schmitt
int | group0_slew
int | group1_drive
int | group1_schmitt
int | group1_slew
int | group2_drive
int | group2_schmitt
int | group2_slew
int | group3_drive
int | group3_schmitt
int | group3_slew
int | powersave
int | clock_polarity
int | data_order
int | flow_control
int | user_data_addr
int | user_data_size
const char * | user_data
int | size
int | chip
unsigned char | buf [FTDI_MAX_EEPROM_SIZE]
int | release_number

## Detailed Description

FTDI eeprom structure.

Definition at line 31 of file ftdi_i.h.

## Member Data Documentation

int ftdi_eeprom::vendor_id

vendor id

Definition at line 34 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_eeprom_initdefaults(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::product_id

product id

Definition at line 36 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_eeprom_initdefaults(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::initialized_for_connected_device

Was the eeprom structure initialized for the actual connected device?

Definition at line 40 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_set_eeprom_value(), and ftdi_write_eeprom().

int ftdi_eeprom::self_powered

self powered

Definition at line 43 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::remote_wakeup

remote wakeup

Definition at line 45 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::is_not_pnp

Definition at line 47 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::suspend_dbus7

Definition at line 50 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::in_is_isochronous

input in isochronous transfer mode

Definition at line 53 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::out_is_isochronous

output in isochronous transfer mode

Definition at line 55 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::suspend_pull_downs

suspend pull downs

Definition at line 57 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::use_serial

use serial

Definition at line 60 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_eeprom_initdefaults(), ftdi_eeprom_set_strings(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::usb_version

usb version

Definition at line 62 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_eeprom_initdefaults(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::use_usb_version

Use usb version on FT2232 devices

Definition at line 64 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::max_power

maximum power

Definition at line 66 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_eeprom_initdefaults(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

char* ftdi_eeprom::manufacturer

manufacturer name

Definition at line 69 of file ftdi_i.h.

Referenced by ftdi_deinit(), ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_eeprom_get_strings(), ftdi_eeprom_initdefaults(), and ftdi_eeprom_set_strings().

char* ftdi_eeprom::product

product name

Definition at line 71 of file ftdi_i.h.

Referenced by ftdi_deinit(), ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_eeprom_get_strings(), ftdi_eeprom_initdefaults(), and ftdi_eeprom_set_strings().

char* ftdi_eeprom::serial

serial number

Definition at line 73 of file ftdi_i.h.

Referenced by ftdi_deinit(), ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_eeprom_get_strings(), ftdi_eeprom_initdefaults(), and ftdi_eeprom_set_strings().

int ftdi_eeprom::channel_a_type

Definition at line 78 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::channel_b_type

Definition at line 79 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::channel_a_driver

Definition at line 81 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::channel_b_driver

Definition at line 82 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::channel_c_driver

Definition at line 83 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::channel_d_driver

Definition at line 84 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::channel_a_rs485enable

Definition at line 86 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::channel_b_rs485enable

Definition at line 87 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::channel_c_rs485enable

Definition at line 88 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::channel_d_rs485enable

Definition at line 89 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::cbus_function[10]

CBUS pin function. See CBUS_xxx defines.

Definition at line 93 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_eeprom_initdefaults(), ftdi_get_eeprom_value(), ftdi_set_eeprom_value(), and set_ft232h_cbus().

int ftdi_eeprom::high_current

Select high current drive on R devices.

Definition at line 95 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::high_current_a

Select high current drive on A channel (2232C).

Definition at line 97 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::high_current_b

Select high current drive on B channel (2232C).

Definition at line 99 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::invert

Select inversion of data lines (bitmask).

Definition at line 101 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::external_oscillator

Enable external oscillator.

Definition at line 103 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::group0_drive

Definition at line 110 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::group0_schmitt

Definition at line 111 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::group0_slew

Definition at line 112 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::group1_drive

Definition at line 113 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::group1_schmitt

Definition at line 114 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::group1_slew

Definition at line 115 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::group2_drive

Definition at line 116 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::group2_schmitt

Definition at line 117 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::group2_slew

Definition at line 118 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::group3_drive

Definition at line 119 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::group3_schmitt

Definition at line 120 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::group3_slew

Definition at line 121 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::powersave

Definition at line 123 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::clock_polarity

Definition at line 125 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::data_order

Definition at line 126 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::flow_control

Definition at line 127 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

int ftdi_eeprom::user_data_addr

user data

Definition at line 130 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), and ftdi_set_eeprom_value().

int ftdi_eeprom::user_data_size

Definition at line 131 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), and ftdi_set_eeprom_user_data().

const char* ftdi_eeprom::user_data

Definition at line 132 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), and ftdi_set_eeprom_user_data().

int ftdi_eeprom::size

eeprom size in bytes. This doesn't get stored in the eeprom but is the only way to pass it to ftdi_eeprom_build.

Definition at line 136 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_eeprom_initdefaults(), ftdi_get_eeprom_value(), ftdi_read_eeprom(), ftdi_set_eeprom_user_data(), and ftdi_write_eeprom().

int ftdi_eeprom::chip

Definition at line 138 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_erase_eeprom(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

unsigned char ftdi_eeprom::buf[FTDI_MAX_EEPROM_SIZE]

Definition at line 139 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_get_eeprom_buf(), ftdi_read_eeprom(), ftdi_read_eeprom_location(), ftdi_set_eeprom_buf(), ftdi_set_eeprom_user_data(), and ftdi_write_eeprom().

int ftdi_eeprom::release_number

device release number

Definition at line 142 of file ftdi_i.h.

Referenced by ftdi_eeprom_build(), ftdi_eeprom_decode(), ftdi_eeprom_initdefaults(), ftdi_get_eeprom_value(), and ftdi_set_eeprom_value().

The documentation for this struct was generated from the following file:

- ftdi_i.h